Customer
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all customer journeys
Required API key scopes
customer_journey:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /customer_journeysExample response
Status 200
RESPONSE
Create customer journeys
Required API key scopes
customer_journey:writeRequest parameters
- insightinteger
- namestring
- descriptionstring | null
Response
Example request
POST /api /projects /:project_id /customer_journeysExample response
Status 201
RESPONSE
Retrieve customer journeys
Required API key scopes
customer_journey:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /customer_journeys /:idExample response
Status 200
RESPONSE
Update customer journeys
Required API key scopes
customer_journey:writePath parameters
- idstring
Request parameters
- insightinteger
- namestring
- descriptionstring | null
Response
Example request
PATCH /api /projects /:project_id /customer_journeys /:idExample response
Status 200
RESPONSE
Delete customer journeys
Required API key scopes
customer_journey:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /customer_journeys /:id




